Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.jcas.cas
Class FloatArray_Type

    java.lang.Object
      org.apache.uima.jcas.cas.TOP_Type
          org.apache.uima.jcas.cas.CommonArray_Type
              org.apache.uima.jcas.cas.FloatArray_Type

    public class FloatArray_Type

extends CommonArray_Type

The java Cas model for the CAS FloatArray Type This is not final because the migration from pre v08 has the old xxx_Type as a subclass of this.

Field Summary
`static int` | `typeIndexID`

Fields inherited from class org.apache.uima.jcas.cas.TOP_Type
`casImpl, casType, casTypeCode, instanceOf_Type, jcas, ll_cas, lowLevelArrayBoundChecks, lowLevelTypeChecks, useExistingInstance`

Constructor Summary
`FloatArray_Type(JCas jcas, Type casType)`

Method Summary
`void` | `copyFromArray(int addr, float[] src, int srcOffset, int destOffset, int length)`
`void` | `copyToArray(int addr, int srcOffset, float[] dest, int destOffset, int length)`
`float` | `get(int addr, int i)` return the indexed value from the corresponding Cas floatArray as a Java float.
`protected org.apache.uima.cas.impl.FSGenerator` | `getFSGenerator()`
`void` | `set(int addr, int i, float str)` updates the Cas, setting the indexed value to the passed in Java float value.
`float[]` | `toArray(int addr)`

Methods inherited from class org.apache.uima.jcas.cas.CommonArray_Type
`size`

Methods inherited from class org.apache.uima.jcas.cas.TOP_Type
`addToIndexes, checkType, getTypeIndexID, invalidTypeArg, noObjCreate, removeFromIndexes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### typeIndexID

    public static final int typeIndexID

Constructor Detail

### FloatArray_Type

    public FloatArray_Type(JCas jcas,
                           Type casType)

Method Detail

### getFSGenerator

    protected org.apache.uima.cas.impl.FSGenerator getFSGenerator()

  Overrides:
    `getFSGenerator` in class `TOP_Type`

### get

    public float get(int addr,
                     int i)

  return the indexed value from the corresponding Cas floatArray as a Java float.

  See Also:
    `ArrayFS.get(int)`

### set

    public void set(int addr,
                    int i,
                    float str)

  updates the Cas, setting the indexed value to the passed in Java float value.

  See Also:
    `ArrayFS.set(int, FeatureStructure)`

### copyFromArray

    public void copyFromArray(int addr,
                              float[] src,
                              int srcOffset,
                              int destOffset,
                              int length)

  See Also:
    `FloatArrayFS.copyFromArray(float[], int, int, int)`

### copyToArray

    public void copyToArray(int addr,
                            int srcOffset,
                            float[] dest,
                            int destOffset,
                            int length)

  See Also:
    `FloatArrayFS.copyToArray(int, float[], int, int)`

### toArray

    public float[] toArray(int addr)

  See Also:
    `FloatArrayFS.toArray()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 The Apache Software Foundation. All Rights Reserved.